## boa 0.92

=== docs/Makefile ===
# Convert HTML files to text for simple reading
.SUFFIXES: .html .txt

HTML2TXT=lynx -dump

DOCS = readme.txt details.txt 

docs: $(DOCS)

clean:
	rm -f $(DOCS)

.html.txt:
	$(HTML2TXT) $< > $@

=== src/Makefile ===
GCC_FLAGS = -Wstrict-prototypes -Wpointer-arith -Wcast-align -Wcast-qual\
  -Wtraditional\
  -Wshadow\
  -Wconversion\
  -Waggregate-return\
  -Wmissing-prototypes\
  -Wnested-externs\
  -Wall

# Add -DVERBOSE_CGI_LOGS if you want logs of CGI program start and stop times

CMDARGS = -c -O2

# Change these if necessary

YACC = bison -y
LEX = flex
CC = gcc

all:	boa

# parser dependencies

y.tab.c y.tab.h:	boa_grammar.y
	${YACC} -d boa_grammar.y

y.tab.o:	y.tab.c globals.h
	${CC} ${CMDARGS} y.tab.c

lex.yy.c:	boa_lexer.l
	${LEX} boa_lexer.l
	
lex.yy.o:	lex.yy.c y.tab.h
	${CC} ${CMDARGS} lex.yy.c

# boa dependencies

boa:	lex.yy.o y.tab.o alias.o boa.o cgi.o config.o get.o hash.o log.o \
queue.o read.o request.o response.o signals.o util.o
	${CC} -o boa lex.yy.o y.tab.o alias.o boa.o cgi.o config.o get.o \
hash.o log.o queue.o read.o request.o response.o signals.o util.o

# boa at large

alias.o:	alias.c boa.h globals.h defines.h
	${CC} ${CMDARGS} alias.c

boa.o:	boa.c boa.h globals.h defines.h
	${CC} ${CMDARGS} boa.c

cgi.o:	cgi.c boa.h globals.h defines.h
	${CC} ${CMDARGS} cgi.c

config.o:	config.c boa.h globals.h defines.h
	${CC} ${CMDARGS} config.c

get.o:	get.c boa.h globals.h defines.h
	${CC} ${CMDARGS} get.c

hash.o:	hash.c boa.h globals.h defines.h
	${CC} ${CMDARGS} hash.c

log.o:	log.c boa.h globals.h defines.h
	${CC} ${CMDARGS} log.c

queue.o:	queue.c boa.h globals.h defines.h
	${CC} ${CMDARGS} queue.c

read.o:	read.c boa.h globals.h defines.h
	${CC} ${CMDARGS} read.c

request.o:	request.c boa.h globals.h defines.h
	${CC} ${CMDARGS} request.c

response.o:	response.c boa.h globals.h defines.h
	${CC} ${CMDARGS} response.c

signals.o:	signals.c boa.h globals.h defines.h
	${CC} ${CMDARGS} signals.c

util.o:	util.c boa.h globals.h defines.h
	${CC} ${CMDARGS} util.c

clean:
	rm -f *.o boa core lex.yy.c y.tab.c y.tab.h

#debug.o:	debug.c boa.h globals.h defines.h
#	${CC} ${CMDARGS} debug.c

## boa 0.93.15-1

=== docs/Makefile ===
SOURCES = boa.sgml

OBJS = boa.html boa.dvi boa.ps boa.txt

all:	${OBJS}

boa.dvi:	${SOURCES}
	sgml2latex --output=dvi ${SOURCES}

boa.ps:	boa.dvi
	dvips -t letter boa.dvi -o boa.ps

boa.html:	${SOURCES} 
	sgml2html ${SOURCES}

boa.txt:	${SOURCES}
	sgml2txt --filter ${SOURCES}

clean:
	rm -f ${OBJS} boa-*.html

=== debian/changelog ===
boa (0.93.15-1) unstable frozen; urgency=low

  * New upstream version
  * Also fixes (#22134), (#25279)

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Sun, 13 Sep 1998 14:20:16 -0500

boa (0.93.14.2-2) unstable; urgency=low

  * Changed to debhelper

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Sun, 19 Jul 1998 23:06:23 -0500

boa (0.93.14.2-1) unstable; urgency=low

  * Upon cgi execution the server socket is closed
  * Should behave better (no more zombies from cron.daily/run-parts) (#20161)

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Sun, 5 Apr 1998 22:14:56 -0500

boa (0.93.14.1-1) unstable; urgency=medium

  * Fixed IP-based virtualhost and keepalive incompatability 
  * Log format for IP-Based virtualhost uses combined log format now.

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Fri, 20 Mar 1998 13:30:52 -0600

boa (0.93.14-3) unstable; urgency=low

  * Fixed /etc/init.d/boa so that force-reload tries to execute
    /usr/sbin/boa even if an executable of that name already exists.
  * Fixed /etc/cron.daily/boa to use force-reload

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Mon,  9 Mar 1998 09:54:14 -0600

boa (0.93.14-2) unstable; urgency=medium

  * Fixed /etc/cron.daily/boa 

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Sun, 8 Mar 1998 01:19:47 -0600

boa (0.93.14-1) unstable; urgency=medium

  * New upstream version
  * Incorporates below fix (commonlog)
  * /etc/init.d/boa now supports restart and force-reload
  * Behaves better upon SIGTERM
  * /etc/init.d/boa marked as conffile (thanks, Lintian!) 

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Mon, 2 Mar 1998 20:02:34 -0600

boa (0.93.13-2) unstable; urgency=medium

  * Emergency update : commonlog time function broke -- authors notified 

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Mon,  2 Mar 1998 15:13:13 -0600

boa (0.93.13-1) unstable; urgency=low

  * New upstream version 

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Fri, 27 Feb 1998 18:07:02 -0600

boa (0.93.12-1) unstable; urgency=low

  * New upstream version
  * Buffers header output

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Fri, 13 Feb 1998 22:34:49 -0600

boa (0.93.11-1) unstable; urgency=low

  * New upstream version
  * Adds pipelining support to existing keepalive
  * Ran through indent

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Thu, 12 Feb 1998 02:13:11 -0600

boa (0.93.10.8-1) unstable; urgency=low

  * New upstream version
  * Fixes HTTP/1.1 browser problem
  * Fixes modified since problem
  * Fixes commonlog file format problem

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Wed, 11 Feb 1998 14:37:01 -0600

boa (0.93.10.7-1) unstable; urgency=low

  * New upstream version

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Mon, 9 Feb 1998 10:55:35 -0600

boa (0.93.10.6-2) unstable; urgency=low

  * Built for libc6

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Sat,  7 Feb 1998 12:23:03 -0600

boa (0.93.10.6-1) unstable; urgency=low

  * New version

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Wed, 4 Feb 1998 10:39:42 -0600

boa (0.93.10-5) unstable; urgency=low

  * New upstream version

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Sun, 1 Feb 1998 19:58:16 -0600

boa (0.93.10-3) unstable; urgency=low

  * New upstream version

 -- Jon Nelson <nels0988@tc.umn.edu>  Sun, 25 Jan 1998 22:59:44 -0600

boa (0.93.10-1) unstable; urgency=low

  * New upstream version

 -- Jon Nelson <nels0988@tc.umn.edu>  Sun, 25 Jan 1998 22:59:44 -0600

boa (0.93.9-1) unstable; urgency=low

  * New upstream version

 -- Jon Nelson <nels0988@tc.umn.edu>  Fri, 16 Jan 1998 14:00:01 -0600

boa (0.93.8.4-1) unstable; urgency=low

  * New upstream version

 -- Jon Nelson <nels0988@tc.umn.edu>  Thu, 11 Dec 1997 13:43:50 -0600

 boa (0.93.8.3-1) unstable; urgency=low

  * New upstream version

 -- Jon Nelson <nels0988@tc.umn.edu>  Wed, 19 Nov 1997 11:39:10 -0600 

boa (0.93.8.2-1) unstable; urgency=low

  * New upstream version

 -- Jon Nelson <nels0988@tc.umn.edu>  Tue, 18 Nov 1997 22:39:10 -0600

boa (0.93.8.1-2) unstable; urgency=low

  * Fix non cgi-bin cgi
  * Fix Makefile.in
  * Fix boa.1

 -- Jon Nelson <nels0988@tc.umn.edu>  Tue, 18 Nov 1997 13:39:10 -0600

boa (0.93.8.1-1) unstable; urgency=low

  * Fix pid printing upon startup

 -- Jon Nelson <nels0988@tc.umn.edu>  Fri, 24 Oct 1997 01:19:22 -0600

boa (0.93.7-2) unstable; urgency=low

  * Fix to POST code and version scheme change
  * Fix errno problem as per Christopher Lamenter <clameter@debian.org>

 -- Jon Nelson <nels0988@tc.umn.edu>  Sat, 27 Sep 1997 00:36:07 -0600

boa (0.93.7-1) unstable; urgency=low

  * Upstream version change to 0.93.7

 -- Jon Nelson <nels0988@tc.umn.edu>  Sat, 27 Sep 1997 00:36:07 -0600

boa (0.93-1) unstable; urgency=low

  * Upstream version change to 0.93

 -- Jon Nelson <nels0988@tc.umn.edu>  Mon, 30 Jun 1997 09:55:01 -0600

boa (0.92-5) unstable; urgency=low
 
  * Handover from Christopher Lameter to Jon Nelson  

 -- Jon Nelson <nels0988@tc.umn.edu>  Fri, 6 Jun 1997 01:17:23 -0600

boa (0.92-4) unstable; urgency=low

  * Improve gunzip.cgi script so that it correctly distinguishes between
    ascii file and html file.
  * Provide menu item for web menus

 -- Christoph Lameter <clameter@debian.org>  Sat, 1 Feb 1997 10:39:59 -0800

boa (0.92-3) unstable; urgency=low

  * Misspelling: cgi-directory created was named /usr/lib/cgi-lib instead of
    /usr/lib/cgi-bin. conf file already listed it as /usr/lib/cgi-bin
  * Transparently process .gz files without the need for changing any
    filenames (patch by the author). I.e. a reference to index.html will
    fetch and decompress index.html.gz if index.html is not present.

 -- Christoph Lameter <clameter@debian.org>  Sat, 1 Feb 1997 09:56:52 -0800

boa (0.92-2) unstable; urgency=low

  * Implement proposed webstandard 3.0 for evaluation
  * Remove conflicts with httpd and the replaces for other webservers.

 -- Christoph Lameter <clameter@debian.org>  Sat, 28 Dec 1996 15:58:37 -0800

boa (0.92-1) unstable; urgency=low



=== debian/control ===
Source: boa
Section: web
Priority: optional
Maintainer: Jon Nelson <nels0988@tc.umn.edu>
Standards-Version: 2.3.0.1

Package: boa
Architecture: any
Provides: httpd
Depends: ${shlibs:Depends},mime-support
Description: Lightweight and High Performance WebServer
 Boa is a single-tasking HTTP server. That means that unlike
 traditional web servers, it does not fork for each incoming
 connection, nor does it fork many copies of itself to handle multiple
 connections. It internally multiplexes all of the ongoing HTTP
 connections, and forks only for CGI programs (which must be separate
 processes.) Preliminary tests show boa is capable of handling several
 hundred hits per second on a 100 Mhz Pentium.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>

export DH_VERBOSE=1

package=boa

build:	build-stamp

build-stamp:
	dh_testdir
	cd src;./configure;make depend;make
	cd docs;make boa.dvi;make boa.html;ln -s boa.html index.html
	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	rm -f build-stamp

	-cd src;make mrclean
	-cd docs;make clean;rm -f index.html
	
	dh_clean

binary-indep:	build

binary-arch:	build
	dh_testdir
	dh_testroot

	dh_clean -k
	dh_installdirs

	dh_installdocs README Gnu_License docs
	dh_installexamples examples
	dh_installmenu
	dh_installinit
	dh_installcron
	dh_installmanpages
	dh_installchangelogs src/Changelog

	install src/boa debian/tmp/usr/sbin
	install src/boa_indexer debian/tmp/usr/lib/cgi-bin
	install boa.conf debian/tmp/etc/boa/boa.conf

	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_makeshlibs
	dh_md5sums
	dh_builddeb

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: build clean binary-arch binary-indep binary

## boa 0.94.8.3-1

=== debian/changelog ===
boa (0.94.8.3-1) unstable stable; urgency=medium

  * Move unescape_uri *before* clean_pathname to prevent
    encoding of / and .. in pathname
  * wrap execution of GUNZIP in cgi.c with #ifdef GUNZIP
  * stop parsing when fragment found in URL ('#')

 -- Jonathon D Nelson <jnelson@boa.org>  Mon,  2 Oct 2000 20:53:59 -0500

boa (0.94.8.2-2) unstable frozen; urgency=low

  * Add '/usr/lib/cgi-bin' to debian/dirs. Closes #69127.
  * Change /doc Alias from /usr/doc to /usr/share/doc

 -- Jonathon D Nelson <jnelson@boa.org>  Sat, 19 Aug 2000 19:52:55 -0500

boa (0.94.8.2-1) unstable frozen; urgency=low

  * Move 'old' /etc/cron.daily/boa to /etc/cron.daily/boa.obsolete if modified, otherwise remove (closes #64813)
  * 1-line fix to close bug #64812

 -- Jonathon D Nelson <jnelson@boa.org>  Fri,  4 Aug 2000 18:35:33 -0500

boa (0.94.8.1-1) unstable frozen; urgency=low

  * Include 1-line upstream fix for bad umask call (security issue)

 -- Jonathon D Nelson <jnelson@boa.org>  Sun, 28 May 2000 10:28:22 -0500

boa (0.94.8-1) unstable frozen; urgency=low

  * Fix major thinko in temp file permissions
  * unlink temporary file immediately following creation
  * implement maximum # of active connections at 10 less than RLIMIT_NOFILE
    to avoid or eliminate crashes resulting from running out of 
    file descriptors
  * Fix thinko in POST
  * Change /doc alias *back* to /usr/doc as requested

 -- Jonathon D Nelson <jnelson@boa.org>  Thu, 25 May 2000 21:25:24 -0500

boa (0.94.7-2) unstable frozen; urgency=low

  * /etc/logrotate.d/boa no longer a conffile
  * /etc/logrotate.d/boa now also contains 'missingok' (closes #63905)

 -- Jonathon D Nelson <jnelson@boa.org>  Wed, 10 May 2000 21:13:54 -0500

boa (0.94.7-1) unstable frozen; urgency=low

  * Upstream bugfixes.  No new functionality.  Now uses logrotate.
  * /usr/doc -> /usr/share/doc alias change
  * STDIN and STDOUT are now tied to /dev/null (closes #61093 and #62660)
  * some minor (non-function related) changes to /etc/init.d/boa
  * now uses logrotate for log file rotation
  * some very minor upstream bug fixes, none of which are Linux related
  * core dumps now located in /tmp
  * upon purge also removes log files (closes #24130)
  * sets PATH_MAX to 2048 if not defined (closes #45508)

 -- Jonathon D Nelson <jnelson@boa.org>  Mon,  1 May 2000 15:33:47 -0500

boa (0.94.6-1) unstable frozen; urgency=low

  * Removed doc++ formatting
  * Removed extraneous debugging statements
  * Fixed bug in automatic gunzip
  * /etc/init.d/boa changes ala Joy (Josip Rodin) <joy@gkvk.hr>
  * boa.sgml documentation changes, also ala Joy
  * Addes stubs for chroot. (*not* working yet)

 -- Jonathon D Nelson <jnelson@boa.org>  Sat, 19 Feb 2000 06:50:14 -0600

boa (0.94.5-1) unstable frozen; urgency=low

  * Fixed a buffer overflow 
  * Fixed a buffer underflow
  * Formatted code for doc++

 -- Jonathon D Nelson <jnelson@boa.org>  Wed,  9 Feb 2000 20:23:03 -0600

boa (0.94.4-1) unstable frozen; urgency=low

  * Updated Boa with respect to CERT advisory CA-2000-02

 -- Jonathon D Nelson <jnelson@boa.org>  Sat,  5 Feb 2000 23:38:10 -0600

boa (0.94.3-1) unstable frozen; urgency=low

  * Fixed keepalive(pipeline)/error message interaction

 -- Jonathon D Nelson <jnelson@boa.org>  Mon, 31 Jan 2000 22:58:23 -0600

boa (0.94.2-2) unstable frozen; urgency=medium

  * Fixed boa cron job file
  * changed user.group to www-data.www-data
  * use customized boa.conf file

 -- Jonathon D Nelson <jnelson@boa.org>  Sun, 30 Jan 2000 11:27:05 -0600

boa (0.94.2-1) unstable frozen; urgency=medium

  * Fixed bug in 0.94.0 -- required for use with apt!

 -- Jonathon D Nelson <jnelson@boa.org>  Fri, 28 Jan 2000 22:42:57 -0600

boa (0.94.0-1) unstable; urgency=low

  * New upstream version

 -- Jonathon D Nelson <jnelson@boa.org>  Mon, 17 Jan 2000 14:09:16 -0600

boa (0.93.19.2-1) unstable; urgency=low

  * New upstream source

 -- Jonathon D Nelson <jnelson@boa.org>  Tue, 11 Jan 2000 20:45:21 -0600

boa (0.93.19.1-1) unstable; urgency=low

  * New upstream source

 -- Jonathon D Nelson <jnelson@boa.org>  Sat,  1 Jan 2000 11:47:24 -0600

boa (0.93.18.2-1) unstable; urgency=low

  * New upstream source.

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Thu,  2 Dec 1999 22:04:17 -0600

boa (0.93.17.3-1) unstable; urgency=low

  * New upstream source
  * Also closes (#30603, #35594, #32419, #33521, #36307, #40879, #40953, #29664)

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Sun, 12 Sep 1999 22:36:23 -0500

boa (0.93.16.1-1) unstable; urgency=low

  * New upstream source
  * Reporting that IMS bug fixed (#30603)

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Fri, 25 Dec 1998 22:37:49 -0600

boa (0.93.16-5) unstable; urgency=low

  * Fixes CGI HEAD and fixes some problems with -4

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Thu, 24 Dec 1998 02:25:46 -0600

boa (0.93.16-4) frozen unstable; urgency=low

  * Yet more fixes for the upstream version. This should fix nasty logic.

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Wed, 16 Dec 1998 01:28:06 -0600

boa (0.93.16-3) frozen unstable; urgency=low

  * Even more fixes for the upstream version. This fixes CGIs.

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Tue, 15 Dec 1998 15:13:22 -0600

boa (0.93.16-2) frozen unstable; urgency=low

  * Minor fixes for the upstream version.

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Tue, 15 Dec 1998 12:49:31 -0600

boa (0.93.16-1) unstable; urgency=low

  * New upstream version should fix minor bugs in internal logic

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Tue, 15 Dec 1998 00:52:54 -0600

boa (0.93.15-2) frozen unstable; urgency=low

  * Fixes IMS bug (thanks Culus, o-o)

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Sat, 12 Dec 1998 23:26:01 -0600

=== debian/control ===
Source: boa
Section: web
Priority: optional
Maintainer: Jonathon D Nelson <jnelson@boa.org>
Standards-Version: 3.1.1.1

Package: boa
Architecture: any
Provides: httpd
Depends: ${shlibs:Depends},mime-support,logrotate
Description: Lightweight and High Performance WebServer
 Boa is a single-tasking HTTP server. That means that unlike
 traditional web servers, it does not fork for each incoming
 connection, nor does it fork many copies of itself to handle multiple
 connections. It internally multiplexes all of the ongoing HTTP
 connections, and forks only for CGI programs (which must be separate
 processes.) Preliminary tests show boa is capable of handling several
 hundred hits per second on a 100 MHz Pentium.

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 build-stamp:
 	dh_testdir
-	cd src;./configure;make depend;make
+	cd src;./configure;make
 	cd docs;make boa.dvi;make boa.html;ln -s boa.html index.html
 	touch build-stamp
 
@@ -41,8 +41,8 @@
 	dh_clean -k
 	dh_installdirs
 
-	dh_installdocs README Gnu_License docs
-	dh_installexamples examples
+	dh_installdocs README docs
+	dh_installexamples examples/*
 	dh_installmenu
 	dh_installinit
 	dh_installcron
@@ -50,8 +50,9 @@
 	dh_installchangelogs src/Changelog
 
 	install src/boa debian/tmp/usr/sbin
-	install src/boa_indexer debian/tmp/usr/lib/cgi-bin
-	install boa.conf debian/tmp/etc/boa/boa.conf
+	install src/boa_indexer debian/tmp/usr/lib/boa
+	install --mode=0640 debian/boa.conf debian/tmp/etc/boa/boa.conf
+	install --mode=0640 debian/logrotate.d debian/tmp/etc/logrotate.d/boa
 
 	dh_strip
 	dh_compress

## boa 0.94.14rc20-1.2

=== docs/Makefile ===
# $Id: Makefile.in,v 1.1.2.3 2002/09/19 03:03:54 jnelson Exp $

srcdir = .


all:   boa.html boa.dvi boa.info boa.txt

boa.info:	boa.texi
	makeinfo --number-sections $^

boa.dvi:	boa.texi
	texi2dvi --clean $^

boa.pdf:	boa.texi
	texi2dvi --pdf --clean $^

boa.ps:	boa.dvi
	dvips -o $@ $^

boa_toc.html:	boa.texi
	texi2html -split_chapter -menu $^

boa.html:	boa.texi
	makeinfo --html --number-sections --no-split -o - $^ | \
        sed -e 's/Node:.*//' | sed -e 's/Next:.*//' | \
        sed -e 's/Previous:.*//' | sed -e 's/Up:.*//' > $@

boa.txt:	boa.texi
	makeinfo --no-headers --no-split -o $@ $^


clean:
	rm -f boa.{html,txt,dvi,ps,pdf,info} boa_*.html
	rm -f boa.{cp,fn,fns,ky,log,pg,toc,tp,vr,vrs,aux} *~

distclean:	mrclean

mrclean:	clean
	rm -f Makefile

=== debian/changelog ===
boa (0.94.14rc20-1.2) unstable; urgency=low

  * Applied patch from Frans Pop <aragorn@tiscali.nl> that fix large
    file issue, closes: #296370.

 -- Ola Lundqvist <opal@debian.org>  Sat, 16 Apr 2005 20:57:57 +0200

boa (0.94.14rc20-1.1) unstable; urgency=low

  * NMU: Apply patch from Frans Pop <aragorn@tiscali.nl> to fix doc
    target, closes: #296440.

 -- Ola Lundqvist <opal@debian.org>  Fri, 15 Apr 2005 18:29:51 +0200

boa (0.94.14rc20-1) unstable; urgency=high

  * 0.94.14 version into unstable for reaching sarge before release.
  * This upload also fix a lot of bugs.

 -- Teófilo Ruiz Suárez <teo@debian.org>  Sun, 13 Feb 2005 11:12:36 +0100

boa (0.94.13+0.94.14rc20-2) experimental; urgency=low

  * Fix rules so Makefiles are not used unless they exist (Closes: #271927)
    + Thanks to Javier Fernández-Sanguino Peña (jfs@computer.org) for the patch

 -- Teófilo Ruiz Suárez <teo@debian.org>  Sat,  6 Nov 2004 17:07:39 +0100

boa (0.94.13+0.94.14rc20-1) experimental; urgency=low

  * Development version upload
  * Added po-debconf support (closes: #208445)

 -- Teófilo Ruiz Suárez <teo@debian.org>  Mon,  9 Aug 2004 15:55:05 +0100

boa (0.94.13-8) unstable; urgency=low

  * Added debconf as a Dependency and not as a build-dep (closes: #263355)

 -- Teófilo Ruiz Suárez <teo@debian.org>  Wed,  4 Aug 2004 10:53:05 +0200

boa (0.94.13-7) unstable; urgency=low

  * The 'Sorry for the buggy upload' upload
  * Just fixed IPv4 support unapplying fabbione's patch (closes: #261956)
  * Added debconf templates taken from thttpd. They ask for an alternate port
    if port 80 is in use (closes: #208445)

 -- Teófilo Ruiz Suárez <teo@debian.org>  Fri, 30 Jul 2004 18:00:25 +0200

boa (0.94.13-6) unstable; urgency=low

  * The 'Sorry for the delay' upload
  * IPv6 enabled, thanks to Fabio M. Di Nitto (closes: #175165)
  * Large file support enabled, thanks to Eduard Bloch (closes: #154939)
  * init script is now policy compliant (closes: #220285)
  * Postinst didn't check if boa was running before, now it stop itself in preinst (closes: #213918)

 -- Teófilo Ruiz Suárez <teo@debian.org>  Mon, 26 Jul 2004 16:25:00 +0200

boa (0.94.13-5) unstable; urgency=low

  * src/compat.h:120 fixed some bugs with GCC 3.2 (closes: #195800)

 -- Teófilo Ruiz Suárez <teo@debian.org>  Sun,  8 Jun 2003 15:29:44 +0200

boa (0.94.13-4) unstable; urgency=low

  * New maintainer.
  * src/boa.c: Don't die if getpwuid fails (closes: #175151).
  * debian/rules: Don't dh_testroot in clean (closes: #175152).

 -- Teófilo Ruiz Suárez <teo@debian.org>  Thu, 17 Apr 2003 01:07:33 +0200

boa (0.94.13-3) unstable; urgency=low

  * New maintainer (closes: #151847)

 -- Steve Kemp <skx@debian.org>  Mon,  3 Feb 2003 09:57:30 +0000

boa (0.94.13-2) unstable; urgency=low

  * Debian QA upload, during Sarge's BSP #2.
  * debian/boa.init: install a new init file based on one by Bill Allombert
    which makes "restart" not fail if boa wasn't previously running
    (closes: #160517).
  * debian/rules:
    + use dh_installlogrotate to install the logrotate stuff.
    + remove arguments to dh_installexamples.
    + disable DH_VERBOSE.
    + remove docs/boa.info and docs/boa.html on clean (bashisms in Makefile).
  * debian/dirs: add usr/lib/cgi-lib.
  * debian/boa.examples: added.
  * debian/boa.conf: add "ScriptAlias /cgi-lib/ /usr/lib/cgi-bin/" for the
    upcoming "cgi-bin" policy (closes: #167511).
  * src/boa_grammar.y: patch from H. S. Teoh; adds a space after "$Id: $" so
    m4 doesn't try to expand "$*".

 -- Jordi Mallach <jordi@debian.org>  Sun, 24 Nov 2002 19:23:35 +0100

boa (0.94.13-1) unstable; urgency=low

  * Debian QA upload.
  * New upstream version.

 -- Peter Palfrader <weasel@debian.org>  Sun, 11 Aug 2002 06:02:04 +0200

boa (0.94.12-1) unstable; urgency=low

  * Debian QA upload.
  * Boa has been orphaned (Debian Bug #151847).
    Thanks to Jonathon D Nelson for all the hard work he put into
    Boa and its Debian package.
  * Maintainer changed to Debian QA Group <packages@qa.debian.org>.
  * New upstream release:
    All changes from the privious Debian diff to code seems to have
    propagated into the upstream tarball.
  * Removed emacs stuff from debian/changelog.
  * Upstream changelog was moved from src/ to . -> Adapted in debian/rules.

 -- Peter Palfrader <weasel@debian.org>  Thu,  4 Jul 2002 00:42:27 +0200

boa (0.94.11-3) unstable; urgency=medium

  * Fix bug in hash routines (Closes: #134012) 

 -- Jonathon D Nelson <jnelson@boa.org>  Fri, 15 Feb 2002 21:03:23 -0600

boa (0.94.11-2) unstable; urgency=low

  * Fix bug in src/Makefile.in - (Closes: #118934)

 -- Jonathon D Nelson <jnelson@boa.org>  Thu, 22 Nov 2001 10:22:19 -0600

boa (0.94.11-1) unstable; urgency=low

  * New upstream version 

 -- Jonathon D Nelson <jnelson@boa.org>  Thu,  1 Nov 2001 22:37:50 -0600

boa (0.94.10.1-1) unstable; urgency=low

  * New upsteam release
  * Forgot to update version in source

 -- Jonathon D Nelson <jnelson@boa.org>  Tue, 25 Sep 2001 23:05:25 -0500

boa (0.94.10-1) unstable testing; urgency=medium

  * New upstream version
  * Fixes escaping rules
  * Fixes segfault when directory_index is undefined and
    directory needs to be generated
  * adds dummy signal handlers for SIGUSR1 and SIGUSR2
  * Update documentation regarding mime.types (Closes: #69991)
  * Make sure documentation builds (Closes: #110818)

 -- Jonathon D Nelson <jnelson@boa.org>  Mon, 24 Sep 2001 22:21:37 -0500

boa (0.94.9-2) unstable testing; urgency=low

  * upload to testing as well 

 -- Jonathon D Nelson <jnelson@boa.org>  Mon, 13 Aug 2001 12:31:32 -0500

boa (0.94.9-1) unstable; urgency=low

  * support subdirectories in ScriptAlias directories (Closes: #90601)
  * make sure to memcpy local_ip_addr in keepalive for virtualhost
    (Closes: #100102)
  * add some more missing build deps (Closes: #100803)  
  * Don't accept fd over FD_SETSIZE in request.c:get_request
  * use backported documentation from 0.95


=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: boa
 Section: web
 Priority: optional
-Maintainer: Jonathon D Nelson <jnelson@boa.org>
-Standards-Version: 3.1.1.1
+Maintainer: Teófilo Ruiz Suárez <teo@debian.org>
+Standards-Version: 3.6.1
+Build-Depends: debhelper (>= 3.0), texinfo, bison, flex, texi2html, tetex-bin, po-debconf
 
 Package: boa
 Architecture: any
 Provides: httpd
-Depends: ${shlibs:Depends},mime-support,logrotate
+Depends: ${shlibs:Depends}, mime-support, logrotate, debconf (>= 0.5)
 Description: Lightweight and High Performance WebServer
  Boa is a single-tasking HTTP server. That means that unlike
  traditional web servers, it does not fork for each incoming

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>

#export DH_VERBOSE=1
export DH_COMPAT=3

package=boa

build:	build-stamp

build-stamp:
	dh_testdir
	CFLAGS="-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE" ./configure;make
	cd docs;make boa.html boa.info
	touch build-stamp

clean:
	dh_testdir

	rm -f build-stamp

	-[ -f Makefile ] && make mrclean
	-[ -f docs/Makefile ] && make -C docs clean
	-rm -f docs/boa.info docs/boa.html docs/index.html
	
	dh_clean

binary-indep:	build

binary-arch:	build
	dh_testdir
	dh_testroot

	dh_clean -k
	dh_installdirs

	dh_installdocs README docs/boa.html docs/boa_banner.png docs/boa.texi
	dh_installinfo -n docs/boa.info
	dh_installexamples
	dh_installmenu
	dh_installinit -n
	dh_installdebconf
	dh_installcron
	dh_installlogrotate
	dh_installmanpages
	dh_installchangelogs CHANGES

	install src/boa debian/boa/usr/sbin
	install src/boa_indexer debian/boa/usr/lib/boa
	install --mode=0640 debian/boa.conf debian/boa/etc/boa/boa.conf
	po2debconf debian/templates $(tmp)/DEBIAN/templates
#	install --mode=0640 debian/logrotate.d debian/boa/etc/logrotate.d/boa

	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_makeshlibs
	dh_md5sums
	dh_builddeb

# Below here is fairly generic really

binary:		binary-indep binary-arch

.PHONY: build clean binary-arch binary-indep binary

## boa 0.94.14rc20-1.3

=== debian/changelog ===
boa (0.94.14rc20-1.3) unstable; urgency=low

  * Non Maintainer Upload
  * Add alternative depends for debconf-2.0 (closes: #331764).
  * Provide httpd-cgi (closes: #304306).
  * Update debhelper compatibility to level 5.
  * Fix minor maintainer script errors.
  * Add new translations:
    - French by Yves Rutschle (closes: #297021)
    - Czech by Miroslav Kure (closes: #300365)
    - Dutch by Frans Pop (closes: #309107)
    - Vietnamese by Clytie Siddall (closes: #313168)
    - Swedish by Daniel Nylander (closes: #336677)
    - Spanish by César Gómez Martín (closes: #333892)

 -- Frans Pop <fjp@debian.org>  Sat, 24 Dec 2005 23:23:52 +0100

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Teófilo Ruiz Suárez <teo@debian.org>
 Standards-Version: 3.6.1
-Build-Depends: debhelper (>= 3.0), texinfo, bison, flex, texi2html, tetex-bin, po-debconf
+Build-Depends: debhelper (>= 5.0), texinfo, bison, flex, texi2html, tetex-bin, po-debconf
 
 Package: boa
 Architecture: any
-Provides: httpd
-Depends: ${shlibs:Depends}, mime-support, logrotate, debconf (>= 0.5)
+Provides: httpd, httpd-cgi
+Depends: ${shlibs:Depends}, mime-support, logrotate, debconf (>= 0.5) | debconf-2.0
 Description: Lightweight and High Performance WebServer
  Boa is a single-tasking HTTP server. That means that unlike
  traditional web servers, it does not fork for each incoming

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>
 
 #export DH_VERBOSE=1
-export DH_COMPAT=3
+export DH_COMPAT=5
 
 package=boa
 
@@ -56,9 +56,9 @@
 	install src/boa debian/boa/usr/sbin
 	install src/boa_indexer debian/boa/usr/lib/boa
 	install --mode=0640 debian/boa.conf debian/boa/etc/boa/boa.conf
-	po2debconf debian/templates $(tmp)/DEBIAN/templates
 #	install --mode=0640 debian/logrotate.d debian/boa/etc/logrotate.d/boa
 
+	dh_installdebconf
 	dh_strip
 	dh_compress
 	dh_fixperms

## boa 0.94.14rc21

=== debian/changelog ===
boa (0.94.14rc21-5) unstable; urgency=low

  * QA upload
  * Revamp init.d script (Likely closes: #315443)
    + SIGHUP and signal 1 are actually same
    + Do stop and start on restart and force-reload (LP: #46908)
    + Fix help text
    + Remove init.d template script help text
    + Support status option (fixes lintian warning
      init.d-script-does-not-implement-optional-option)
  * Rename debian/boa.{examples,init,logrotate} to
    debian/{examples,init,logrotate} for consistency
  * Remove build-dependencies on texi2html and texlive-base-bin (not
    necessary, fixes lintian warning build-depends-on-obsolete-package)

 -- Axel Beckert <abe@debian.org>  Mon, 01 Jul 2013 21:16:36 +0200

boa (0.94.14rc21-4) unstable; urgency=low

  * QA upload
  * Set maintainer to Debian QA Group (c.f. #711481)
  * Switch to source format "3.0 (quilt)"
    + Drop quilt traces from debian/rules and build-dependency on quilt
  * Fix CVE-2009-4496 (Closes: #578035; missing sanitization of
    non-printable characters in boa's error log) Thanks to Devin Carraway
    for the patch.
  * Bump debhelper compatibility to 9
    + Update versioned debhelper build-dependency
  * Use dh_autotools-dev_{update,restore}config (Closes: #537754)
    + Build-depend on autotools-dev
  * Revamp debian/rules:
    + Use dh_auto_{configure,build,clean}
    + Use dh_prep instead of dh_clean -k
    + No more manually clean stamp files, done by dh_clean now
    + Use debian/{docs,manpages,info} instead of dh_install{docs,man,info}
      parameters
    + Remove redundant dh_installchangelogs parameter
    + Use dh_install and debian/install instead of calling install
    + Use debian/clean instead of calling rm
    + Don't ignore "make clean" failures
    + Finally switch to a dh7 style debian/rules file
  * Fix the following lintian warnings:
    + maintainer-script-ignores-errors
    + no-homepage-field
    + readme-debian-mentions-usr-doc
    + copyright-refers-to-versionless-license-file
    + debian-watch-file-is-missing
    + copyright-without-copyright-notice
    + init.d-script-does-not-implement-required-option
    + init.d-script-missing-lsb-description
    + package-contains-empty-directory (2x)
  * Change section to httpd
  * Bump Standards-Version to 3.9.4 (no further changes)
  * Add Vcs-* headers
  * Enable --enable-access-control (Closes: #509121)
  * Apply wrap-and-sort
  * Remove trailing blank line in debian/boa.conf
  * Remove config.log in clean target

 -- Axel Beckert <abe@debian.org>  Sun, 16 Jun 2013 04:13:51 +0200

boa (0.94.14rc21-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control
  - Replace non-existing build dependency (Closes: #562362)

 -- Ricardo Mones <mones@debian.org>  Sun, 24 Jan 2010 13:22:38 +0100

boa (0.94.14rc21-3) unstable; urgency=low

  * Access log garbled (Closes: #449074)
  * Fixed the lfs-support patch, which produced incorrect logfiles on 32
    bits machines, and in the same blow removed all build-time warnings
    which were probably not as harmless as I initially thought.
  * Removed port detection routines. (Closes: #458855)
  * dpkg-www: Invalid characters in input. (Closes: #438707)
  * Removed debconf template and its translations.  This package no
    longer needs debconf.

 -- Francois-Denis Gonthier <neumann@lostwebsite.net>  Thu, 07 Feb 2008 23:15:51 -0500

boa (0.94.14rc21-2) unstable; urgency=low

  * New maintainer (Closes: #406354)
  * The patch for correct LFS support by Eduard Bloch has been
    applied. (Closes: #313020)
  * Switched to quilt for patch management.

 -- Francois-Denis Gonthier <neumann@lostwebsite.net>  Fri, 10 Aug 2007 21:43:54 -0400

boa (0.94.14rc21-1) unstable; urgency=low

  * QA upload. 
  * Set maintainer to QA Group; Orphaned: #406354
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Tue, 03 Apr 2007 09:41:41 +0200

boa (0.94.14rc21-0.2) unstable; urgency=low

  * Non-maintainer upload
  * Debconf translation updates:
    - Italian updated; thanks to Luca Monducci. Closes: #400818.
    - German updated; thanks to Holger Wansing. Closes: #401181.
    - Dutch updated; thanks to Frans Pop. Closes: #405654.
    - Swedish updated; thanks to Daniel Nylander. Closes: #405687.
    - Czech updated; thanks to Miroslav Kure. Closes: #405817.
    - Spanish updated; thanks to Javier Fernández-Sanguino Peña.
      Closes: #403422.
    - Portuguese updated; thanks to Rui Branco. Closes: #406014.

 -- Frans Pop <fjp@debian.org>  Wed, 10 Jan 2007 14:09:44 +0100

boa (0.94.14rc21-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * New upstream clean-up release. This release fix:
    - set valid SERVER_NAME & SERVER_PORT (closes: #365763)
  * Make package non-native (closes: #365760).
  * Manage debian/patches with dpatch:
   - 1_config: move /usr/doc to /usr/share/doc 
   - 2_sendfile_ENOSYS by Anthony Towns: (closes:#330871)
     revert to standard I/O if sendfile returns ENOSYS. This allows
     boa to work on kernels that do not support sendfile64.
   - 4_Makefile.in: fix missing space typo in Makefile.in.
   - 5_allow_8bit by Sakari Ailus: (closes: #315445)
     allow %xx in URIs to encode 8bit chars.
  * debian/rules: 
    - adjust for dpatch in _preapplied_ mode.
    - switch to dh_installman
    - remove duplicate call to dh_installdebconf.
  * debian/config:
    - Hide dpkg message when installing (closes: #357470, #328997).
      NMUer opinion: the real fix is to not use dpkg in the first place.

 -- Bill Allombert <ballombe@debian.org>  Sun, 26 Nov 2006 23:15:32 +0100

boa (0.94.14rc20-1.4) unstable; urgency=low

  * Non-maintainer upload to fix longstanding l10n issues
  * Debconf translation update:
    - Portuguese added. Closes: #381352
    - Italian added. Sent durign the call for updates of the NMU campaign.
    - Basque added. Sent durign the call for updates of the NMU campaign.
    - Russian added. Sent durign the call for updates of the NMU campaign.


=== debian/control ===
Source: boa
Section: httpd
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.9.4
Build-Depends: autotools-dev,
               bison,
               debhelper (>= 9~),
               flex,
               po-debconf,
               texinfo
Homepage: http://www.boa.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/boa.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/boa.git

Package: boa
Architecture: any
Provides: httpd,
          httpd-cgi
Depends: logrotate,
         mime-support,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Lightweight and high performance web server
 Boa is a single-tasking HTTP server. That means that unlike
 traditional web servers, it does not fork for each incoming
 connection, nor does it fork many copies of itself to handle multiple
 connections. It internally multiplexes all of the ongoing HTTP
 connections, and forks only for CGI programs (which must be separate
 processes). Preliminary tests show boa is capable of handling several
 hundred hits per second on a 100 MHz Pentium.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autotools-dev

override_dh_auto_configure:
	dh_auto_configure -- --enable-access-control

override_dh_auto_build:
	dh_auto_build
	cd docs;make boa.html boa.info

override_dh_installinit:
	dh_installinit --error-handler=true

=== debian/watch ===
version=3

http://www.boa.org/ boa-(.*).tar.gz

## boa 1.1.1-2

=== DESCRIPTION ===
Package: boa
Version: 1.1.1-2
Date: 2004-04-19
Title: Bayesian Output Analysis Program for MCMC
Author: Brian J. Smith
Maintainer: Brian J. Smith <brian-j-smith@uiowa.edu>
Depends: R (>= 1.7)
Description: A menu-driven program and library of functions for carrying out
    convergence diagnostics and statistical and graphical analysis of Markov
    chain Monte Carlo sampling output.
License: GPL version 2 or newer
URL: http://www.public-health.uiowa.edu/boa
Packaged: Mon Apr 19 10:16:57 2004; bjsmith

## boa 1.1.2-1

=== DESCRIPTION ===
Package: boa
Version: 1.1.2-1
Date: 2004-04-30
Title: Bayesian Output Analysis Program (BOA) for MCMC
Author: Brian J. Smith
Maintainer: Brian J. Smith <brian-j-smith@uiowa.edu>
Depends: R (>= 1.7)
Description: A menu-driven program and library of functions for carrying out
    convergence diagnostics and statistical and graphical analysis of Markov
    chain Monte Carlo sampling output.
License: GPL version 2 or newer
URL: http://www.public-health.uiowa.edu/boa
Packaged: Sun May  2 17:30:18 2004; bjsmith

## boa 1.1.3-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: boa
-Version: 1.1.2-1
-Date: 2004-04-30
+Version: 1.1.3-1
+Date: 2005-01-08
 Title: Bayesian Output Analysis Program (BOA) for MCMC
 Author: Brian J. Smith
 Maintainer: Brian J. Smith <brian-j-smith@uiowa.edu>
@@ -10,4 +10,4 @@
     chain Monte Carlo sampling output.
 License: GPL version 2 or newer
 URL: http://www.public-health.uiowa.edu/boa
-Packaged: Sun May  2 17:30:18 2004; bjsmith
+Packaged: Sat Jan  8 18:01:10 2005; bjsmith

## boa 1.1.4-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: boa
-Version: 1.1.3-1
-Date: 2005-01-08
+Version: 1.1.4-2
+Date: 2005-02-02
 Title: Bayesian Output Analysis Program (BOA) for MCMC
 Author: Brian J. Smith
 Maintainer: Brian J. Smith <brian-j-smith@uiowa.edu>
@@ -10,4 +10,4 @@
     chain Monte Carlo sampling output.
 License: GPL version 2 or newer
 URL: http://www.public-health.uiowa.edu/boa
-Packaged: Sat Jan  8 18:01:10 2005; bjsmith
+Packaged: Wed Feb  2 00:53:12 2005; bjsmith

## boa 1.1.4-3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: boa
-Version: 1.1.4-2
-Date: 2005-02-02
+Version: 1.1.4-3
+Date: 2005-02-14
 Title: Bayesian Output Analysis Program (BOA) for MCMC
 Author: Brian J. Smith
 Maintainer: Brian J. Smith <brian-j-smith@uiowa.edu>
@@ -10,4 +10,4 @@
     chain Monte Carlo sampling output.
 License: GPL version 2 or newer
 URL: http://www.public-health.uiowa.edu/boa
-Packaged: Wed Feb  2 00:53:12 2005; bjsmith
+Packaged: Mon Feb 14 19:04:19 2005; bjsmith

## boa 1.1.5-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: boa
-Version: 1.1.4-3
-Date: 2005-02-14
+Version: 1.1.5-1
+Date: 2005-03-23
 Title: Bayesian Output Analysis Program (BOA) for MCMC
 Author: Brian J. Smith
 Maintainer: Brian J. Smith <brian-j-smith@uiowa.edu>
@@ -10,4 +10,4 @@
     chain Monte Carlo sampling output.
 License: GPL version 2 or newer
 URL: http://www.public-health.uiowa.edu/boa
-Packaged: Mon Feb 14 19:04:19 2005; bjsmith
+Packaged: Wed Mar 23 19:37:08 2005; bjsmith

## boa 1.1.5-2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: boa
-Version: 1.1.5-1
-Date: 2005-03-23
+Version: 1.1.5-2
+Date: 2005-05-02
 Title: Bayesian Output Analysis Program (BOA) for MCMC
 Author: Brian J. Smith
 Maintainer: Brian J. Smith <brian-j-smith@uiowa.edu>
@@ -10,4 +10,4 @@
     chain Monte Carlo sampling output.
 License: GPL version 2 or newer
 URL: http://www.public-health.uiowa.edu/boa
-Packaged: Wed Mar 23 19:37:08 2005; bjsmith
+Packaged: Mon May  2 20:09:21 2005; bjsmith

## boa 1.1.6-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: boa
-Version: 1.1.5-2
-Date: 2005-05-02
+Version: 1.1.6-1
+Date: 2007-04-18
 Title: Bayesian Output Analysis Program (BOA) for MCMC
 Author: Brian J. Smith
 Maintainer: Brian J. Smith <brian-j-smith@uiowa.edu>
@@ -10,4 +10,4 @@
     chain Monte Carlo sampling output.
 License: GPL version 2 or newer
 URL: http://www.public-health.uiowa.edu/boa
-Packaged: Mon May  2 20:09:21 2005; bjsmith
+Packaged: Wed Apr 18 09:43:48 2007; bjsmith

## boa 1.1.7-1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: boa
-Version: 1.1.6-1
-Date: 2007-04-18
+Version: 1.1.7-1
+Date: 2007-12-05
 Title: Bayesian Output Analysis Program (BOA) for MCMC
 Author: Brian J. Smith
 Maintainer: Brian J. Smith <brian-j-smith@uiowa.edu>
@@ -10,4 +10,4 @@
     chain Monte Carlo sampling output.
 License: GPL version 2 or newer
 URL: http://www.public-health.uiowa.edu/boa
-Packaged: Wed Apr 18 09:43:48 2007; bjsmith
+Packaged: Wed Dec  5 14:45:31 2007; bjsmith

## boa 1.1.7-2

=== DESCRIPTION ===
Package: boa
Version: 1.1.7-2
Date: 2008-05-02
Title: Bayesian Output Analysis Program (BOA) for MCMC
Author: Brian J. Smith
Maintainer: Brian J. Smith <brian-j-smith@uiowa.edu>
Depends: R (>= 1.7)
Description: A menu-driven program and library of functions for
        carrying out convergence diagnostics and statistical and
        graphical analysis of Markov chain Monte Carlo sampling output.
License: GPL-2
URL: http://www.public-health.uiowa.edu/boa
Packaged: Fri May 2 14:58:06 2008; bjsmith
Repository: CRAN
Date/Publication: 2008-05-02 20:49:15

## boa 1.1.8-1

=== DESCRIPTION ===
Package: boa
Version: 1.1.8-1
Date: 2015-06-20
Title: Bayesian Output Analysis Program (BOA) for MCMC
Author: Brian J. Smith
Maintainer: Brian J. Smith <brian-j-smith@uiowa.edu>
Depends: R (>= 2.7)
Description: A menu-driven program and library of functions for carrying out
    convergence diagnostics and statistical and graphical analysis of Markov
    chain Monte Carlo sampling output.
License: GPL-2
URL: http://www.jstatsoft.org/v21/i11
Packaged: 2015-06-20 20:02:29 UTC; bjsmith
NeedsCompilation: no
Repository: CRAN
Date/Publication: 2015-06-20 23:31:40

## boa 1.1.8-2

=== DESCRIPTION ===
Package: boa
Version: 1.1.8-2
Date: 2016-06-22
Title: Bayesian Output Analysis Program (BOA) for MCMC
Authors@R: person("Brian J.", "Smith", role = c("aut", "cre"),
                  email = "brian-j-smith@uiowa.edu")
Maintainer: Brian J. Smith <brian-j-smith@uiowa.edu>
Depends: R (>= 2.7)
Imports: graphics, grDevices, stats, utils
Description: A menu-driven program and library of functions for carrying out
    convergence diagnostics and statistical and graphical analysis of Markov
    chain Monte Carlo sampling output.
License: GPL-2
URL: http://www.jstatsoft.org/v21/i11
NeedsCompilation: no
Packaged: 2016-06-22 14:13:21 UTC; bjsmith
Author: Brian J. Smith [aut, cre]
Repository: CRAN
Date/Publication: 2016-06-23 01:29:05
